Topic
No replies
SystemAdmin
SystemAdmin
403 Posts
ACCEPTED ANSWER

Pinned topic Issue migrating an extension from AppScan 8.5 to AppScan 8.6

‏2013-03-20T19:40:45Z |
I have an extension that was working just fine with 8.5, however when I attempted to upgrade to 8.6 by changing the reference to the new AppScanSDK.dll, my extension no longer loads.

I have had no luck in finding migration information for the SDK changes from 8.5 to 8.6 at http://www.ibm.com/developerworks/rational/downloads/08/appscan_ext_framework/
Sample extensions in binary form for 8.6 run fine (such as Mail-Event which can be found at http://www.ibm.com/developerworks/rational/downloads/08/appscan_mailevent/index.html), however, compiling any of the samples from code using the new as deployed AppScanSDK.dll for 8.6 do not work. The date on the AppScanSDK.dll is version 8.6.3570.272, dated 12/24/2012. The binaries for 8.6 or higher in the samples were compiled in October 2012 - which leads me to believe that there has been an undocumented change to the implementation of the SDK between October 2012 and December 2012. Since this is broken compared to version 8.5 I consider this to be a problem.

The error message I am receiving for my extension, or a sample extension that has been recompiled using the new version of the SDK is:

hostname 1708/14 | 3/18/2013 3:05:42 PM | Error: No implementation of IExtensionLogic or IExtensionSDKLogic found in AppScanToXXXXXIntegration.dll
hostname 1708/14 | 3/18/2013 3:05:42 PM | Error: AppScanToXXXXXIntegration extension failed to load
hostname 1708/14 | 3/18/2013 3:05:57 PM | Error: No implementation of IExtensionLogic or IExtensionSDKLogic found in Mail-E-Vent.dll
hostname 1708/14 | 3/18/2013 3:05:57 PM | Error: Mail-E-Vent extension failed to load

Unfortunately the SDK is "unsupported" and the documentation has apparently not been updated.

Any assistance would be appreciated.